## sp-error-visualizer 0.0.6-1

=== Makefile ===
# A minimal makefile for compiling the error visualizer
# (as libosso is the only build-dep, autotools would be overkill).

all:
	$(MAKE) -C src

clean:
	$(MAKE) -C src clean

distclean:
	$(MAKE) -C src distclean

install:
	install src/sp-error-visualizer $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/man/man1/
	cp man/* $(DESTDIR)/usr/share/man/man1/
	install -m 664 data/* $(DESTDIR)/usr/share/sp-error-visualizer/data/

=== src/Makefile ===
TARGETS = sp-error-visualizer

all: $(TARGETS)

clean:
	$(RM) *.o *~

distclean: clean
	$(RM) $(TARGETS)

sp-error-visualizer: sp-error-visualizer.c
	gcc $(CFLAGS) -g -pedantic-errors -Werror -Wall -Wunreachable-code -std=c99 \
	`pkg-config --libs --cflags libosso` -o $@ $^

=== debian/changelog ===
sp-error-visualizer (0.0.6-1) unstable; urgency=low

  * Minor fixes to the manual page. Fixes: NB#75879

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 16 Nov 2007 10:20:51 +0200

sp-error-visualizer (0.0.5-1) unstable; urgency=low

  * Fixed incorrect year in copyright information
  * Minor documentation cleanup
  * Fixes: NB#70205

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 19 Sep 2007 13:22:38 +0300

sp-error-visualizer (0.0.4-1) unstable; urgency=low

  * Check for alternative syslog locations to support different
    configurations
  * Added inotify-based log rotation monitoring support to work around
    Busybox tail limitations
  * Fixes: NB#67160

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 10 Sep 2007 15:07:10 +0300

sp-error-visualizer (0.0.3-1) unstable; urgency=low

  * Moved the sp-error-visualizer startup to occur after both desktop
    and dbus, as it needs both in order to work properly.
  * Fixed various initscript issues, including missing licence information
  * Minor code cleanup
  * Fixes: NB#59836

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 29 Aug 2007 14:50:48 +0300

sp-error-visualizer (0.0.2-1) unstable; urgency=low

  * Syslog socket support has been added to make this useful for
    environments without installed syslog daemon.
  * Licencing information/documentation fixes.
  * Minor other changes (unified indentation, more generic argument
    parsing etc)
  * Fixes: NB#59835
  * Fixes: NB#59836
  * Cleaned up/increased robustness of init scripts by starting to use
    start-stop-daemon

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  8 Aug 2007 15:52:40 +0300

sp-error-visualizer (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 23 May 2007 15:31:26 +0300

=== debian/control ===
Source: sp-error-visualizer
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev
Standards-Version: 3.6.1

Package: sp-error-visualizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays errors (or anything from stdin) as banners.
 This small tool displays any messages from stdin graphically
 (currently as banners). It's mainly intended to display errors
 from syslog to make them more visible to testers. If syslog
 is not present, it can also read directly the socket into which
 syslog clients write.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sp-error-visualizer.sgml > sp-error-visualizer.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sp-error-visualizer.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sp-error-visualizer


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -- start 90 2 3 4 . stop 20 0 1 5 6 .
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sp-error-visualizer 0.0.8-1

=== debian/changelog ===
sp-error-visualizer (0.0.8-1) unstable; urgency=low

  * Common syslog error matching data has been updated. Fixes: NB#86806

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 29 Jul 2008 15:26:29 +0300

sp-error-visualizer (0.0.7-1) unstable; urgency=low

  * Add force-reload action to the sp-error-visualizer initscript to be
    more LSB-compliant.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 28 Jan 2008 16:28:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sp-error-visualizer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Displays errors (or anything from stdin) as banners.
+Description: Displays errors (or anything from stdin) as banners
  This small tool displays any messages from stdin graphically
  (currently as banners). It's mainly intended to display errors
  from syslog to make them more visible to testers. If syslog
